/*###############################################################################
## ETiles project
##
## Copyright (C) 2010 Carlos Villegas Núñez  carlos.villegasnunez@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################*/

#include "mapascrollarea.h"

void MapaScrollArea::scrollContentsBy(int dx, int dy)
{
    int hvalue = horizontalScrollBar()->value();
    int vvalue = verticalScrollBar()->value();
    QPoint topLeft = viewport()->rect().topLeft();

    widget()->move(topLeft.x() - hvalue, topLeft.y() - vvalue);
    widget()->update(QRect(horizontalScrollBar()->value(),verticalScrollBar()->value(),horizontalScrollBar()->pageStep(),verticalScrollBar()->pageStep()));
 }

void MapaScrollArea::ActualizarVision(int x, int y)
{
    if( horizontalScrollBar()->isVisible() || verticalScrollBar()->isVisible())
    {
        horizontalScrollBar()->setValue(x);
        verticalScrollBar()->setValue(y);
        QPoint topLeft = viewport()->rect().topLeft();
        widget()->move(topLeft.x() - x, topLeft.y() - y);

        viewport()->update();
        update();
    }
}
